a)1 (brackets needed)
b)0 (brackets needed)
c)1 (brackets needed)
d)0 (brackets needed)
e)1 (brackets needed)
f)0 (brackets needed)
g)0 (no brackets needed)
h)1 (only inner brackets needed)
i)r is not defined (error)
